function sequence=mls(N)
% MLS Sequence generator. generates sequence length 2^N-1
% Usage: sequence=mls(N);
% - where:
%  'sequence' is the output
%  'N' is the order (An order of 15 generates 32767 samples)

M = 2^N-1;
m = zeros(1,N); m(1)=1; m(3)=1; m(4)=1; m(8)=1; m(13)=1;
m(15) = 1;
regout = zeros(1,M); 
for ind = 1:M 
    buf = xor(m(14),m(15));
    m(2:N) = m(1:N-1);
    m(1)=buf; 
    regout(ind) = m(15);
end
comp = ~ regout; sequence = regout - comp;
 