load ir27
mlssignal=mls(15);

ir=-ir27(1,:);
plot(ir)
xlabel('Samples');
ylabel('Amplitude');
title('Original impulse response');
figure;

mlsresponse=conv(mlssignal,ir);
plot(mlsresponse)
xlabel('Samples');
ylabel('Amplitude');
title('MLS response');
figure;

mlsresponse=mlsresponse(1:32767);
ir_calc=xcorr(mlsresponse,mlssignal);
ir_calc=ir_calc(32767:32767+1599)/32767;
plot(ir_calc)
xlabel('Samples');
ylabel('Amplitude');
title('Impulse response calculated from MLS response');
